Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.fortuna.ical4j.model
Interface ParameterFactory

All Known Implementing Classes:
  ParameterFactoryImpl

    public interface ParameterFactory

Implementors provide parameter creation services.

Author:
  Ben Fortuna

Method Summary
`Parameter` | `createParameter(String name, String value)` Returns a parameter instance of the appropriate type with the specified value.

Method Detail

### createParameter

    Parameter createParameter(String name,
                              String value)
                              throws URISyntaxException

  Returns a parameter instance of the appropriate type with the specified value.

  Parameters:
    `name` - a parameter names that identifies the parameter type
    `value` - a value to assign to the returned parameter
  Returns:
    a parameter instance, or null if this factory is unable to create an appropriate parameter
  Throws:
    `URISyntaxException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2007 Modularity. All Rights Reserved.